import request from '@/utils/request'

// 查询项目出勤列表
export function listSurProjectAttendance(query) {
  return request({
    url: '/project/surProjectAttendance/list',
    method: 'get',
    params: query
  })
}

// 查询项目出勤详细
export function getSurProjectAttendance(id) {
  return request({
    url: '/project/surProjectAttendance/' + id,
    method: 'get'
  })
}

// 新增项目出勤
export function addSurProjectAttendance(data) {
  return request({
    url: '/project/surProjectAttendance',
    method: 'post',
    data: data
  })
}

// 修改项目出勤
export function updateSurProjectAttendance(data) {
  return request({
    url: '/project/surProjectAttendance',
    method: 'put',
    data: data
  })
}

// 删除项目出勤
export function delSurProjectAttendance(id) {
  return request({
    url: '/project/surProjectAttendance/' + id,
    method: 'delete'
  })
}



// 查询当前出勤记录
export function selectByDate(data) {
  return request({
    url: '/project/surProjectAttendance/selectByDate',
    method: 'post',
    data:data
  })
}
